#!/bin/bash
# outcome: replace existing dot files with symlinks pointing to new version controlled files

# setup folder pointers and target files

dir=~/linux_user_setup
olddir=~/linux_user_setup_restore
files=".bashrc .vimrc .tmux.conf .psqlrc"

# create the resore directory if it doesn't already exist

if [ ! -d $olddir ]
then
    mkdir $olddir
fi

# loop through each target file, move it and create a symlink to the replacements

for file in $files 
do
    #if the file is already a symlink then do nothing
    if [ ! -L "$file"]
    then
        echo "moving $file to $olddir"
        mv ~/$file $olddir
        echo "snapping $file to be a new symlink to version controlled file in $dir"
        ln -s $dir/$file ~/$file
    fi
done
